import java.awt.*;

public class Example1 extends JaDEN{
	private int counter = 0;
	
	private boolean inRect is (mouseX >= 100) && (mouseX <= 200) && (mouseY >= 100) && (mouseY <= 200);
	public Rect rect1 is new Rect(100, 100, 100, 100, (inRect ? Color.GREEN : Color.RED));
	public Text status is new Text(10, 10, "Mouse At: (" + mouseX +", " + mouseY + "), Clicked " + counter + " time" + ((counter == 1) ? "" : "s"));
	public Line line1 is new Line(0, 0, mouseX, mouseY);

	public void init(){
		super.init();
		
		picture.add(status);
		picture.add(rect1);
	}
	
	private void mouseClickX_updated(){
		counter++;
	}
}